Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.examples.nurserostering.domain
Enum WeekendDefinition

    java.lang.Object
      java.lang.Enum<WeekendDefinition>
          org.optaplanner.examples.nurserostering.domain.WeekendDefinition

All Implemented Interfaces:
  Serializable, Comparable<WeekendDefinition>

    public enum WeekendDefinition

extends Enum<WeekendDefinition>

Enum Constant Summary
`FRIDAY_SATURDAY_SUNDAY`
`FRIDAY_SATURDAY_SUNDAY_MONDAY`
`SATURDAY_SUNDAY`
`SATURDAY_SUNDAY_MONDAY`

Method Summary
`String` | `getCode()`
`DayOfWeek` | `getFirstDayOfWeekend()`
`DayOfWeek` | `getLastDayOfWeekend()`
`int` | `getWeekendLength()`
`boolean` | `isWeekend(DayOfWeek dayOfWeek)`
`String` | `toString()`
`static WeekendDefinition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WeekendDefinition` | `valueOfCode(String code)`
`static WeekendDefinition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SATURDAY_SUNDAY

    public static final WeekendDefinition SATURDAY_SUNDAY

### FRIDAY_SATURDAY_SUNDAY

    public static final WeekendDefinition FRIDAY_SATURDAY_SUNDAY

### FRIDAY_SATURDAY_SUNDAY_MONDAY

    public static final WeekendDefinition FRIDAY_SATURDAY_SUNDAY_MONDAY

### SATURDAY_SUNDAY_MONDAY

    public static final WeekendDefinition SATURDAY_SUNDAY_MONDAY

Method Detail

### values

    public static WeekendDefinition[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (WeekendDefinition c : WeekendDefinition.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static WeekendDefinition valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOfCode

    public static WeekendDefinition valueOfCode(String code)

### getCode

    public String getCode()

### getFirstDayOfWeekend

    public DayOfWeek getFirstDayOfWeekend()

### getLastDayOfWeekend

    public DayOfWeek getLastDayOfWeekend()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<WeekendDefinition>`

### isWeekend

    public boolean isWeekend(DayOfWeek dayOfWeek)

### getWeekendLength

    public int getWeekendLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.